picard.illumina.parser.readers

## Class TileMetricsOutReader.IlluminaLaneTileCode

- java.lang.Object
- - picard.illumina.parser.readers.TileMetricsOutReader.IlluminaLaneTileCode

- Enclosing class:
    TileMetricsOutReader

      public static class TileMetricsOutReader.IlluminaLaneTileCode
      extends Object

  Helper class which captures the combination of a lane, tile & metric code

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IlluminaLaneTileCode(int laneNumber, int tileNumber, int metricCode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getLaneNumber()`
    `int` | `getMetricCode()`
    `int` | `getTileNumber()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IlluminaLaneTileCode

          public IlluminaLaneTileCode(int laneNumber,
                                      int tileNumber,
                                      int metricCode)

  - ### Method Detail

    - #### getLaneNumber

          public int getLaneNumber()

    - #### getTileNumber

          public int getTileNumber()

    - #### getMetricCode

          public int getMetricCode()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`